> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Delete Own Account > Deletes your own user account. Requires the `Allow Users to Delete Own Account` setting enabled. Access this setting from **Manage** > **Workspace** > **Settings** > **Accounts**. ### Changelog | Version | Description | | ---------------- | ------------| |3.7.0 | Added `confirmRelinquish` to the payload. | |0.67.0 | Added | ## OpenAPI ````json POST /api/v1/users.deleteOwnAccount { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.deleteOwnAccount": { "post": { "tags": [ "Users" ], "summary": "Delete Own Account", "description": "Deletes your own user account. Requires the `Allow Users to Delete Own Account` setting enabled. Access this setting from **Manage** > **Workspace** > **Settings** > **Accounts**.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.7.0 | Added `confirmRelinquish` to the payload. |\n|0.67.0 | Added |", "operationId": "post-api-v1-users.deleteOwnAccount", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "password" ], "properties": { "password": { "type": "string", "description": "The password of user (encrypted in SHA256).", "example": "8f0e2f76e22b43e2855189877e7dc1e1e7d98c226c95db247cd1d547928334a9" }, "confirmRelinquish": { "type": "boolean", "description": "Deletes own account even if user is the last owner of a room.", "default": "false" } } }, "examples": { "Example 1": { "value": { "password": "8f0e2f76e22b43e2855189877e7dc1e1e7d98c226c95db247cd1d547928334a9", "confirmRelinquish": "false" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "Body parameter \"password\" is required." } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````